# -*- coding: utf-8 -*-

from __future__ import (
    absolute_import,
    division,
    print_function,
    unicode_literals,
)

import pytest
import requests

from yodapy.datasources.ooi.helpers import check_data_status


# @pytest.mark.skip(reason='Not implemented yet')
def test_check_data_status():
    # TODO: Integrate with online check data status
    session = requests.session()
    data = {
        "requestUUID": "609c7970-8065-46fa-9fd3-0975c97a1f28",
        "outputURL": "https://opendap.oceanobservatories.org/thredds/catalog/ooi/landungs@uw.edu/20180625T215711-RS03AXPS-SF03A-2A-CTDPFA302-streamed-ctdpf_sbe43_sample/catalog.html",
        "allURLs": [
            "https://opendap.oceanobservatories.org/thredds/catalog/ooi/landungs@uw.edu/20180625T215711-RS03AXPS-SF03A-2A-CTDPFA302-streamed-ctdpf_sbe43_sample/catalog.html",
            "https://opendap.oceanobservatories.org/async_results/landungs@uw.edu/20180625T215711-RS03AXPS-SF03A-2A-CTDPFA302-streamed-ctdpf_sbe43_sample",
        ],
        "sizeCalculation": 5548554,
        "timeCalculation": 60,
        "numberOfSubJobs": 2,
    }
    thredds_url = check_data_status(session, data)

    assert (
        thredds_url
        == "https://opendap.oceanobservatories.org/thredds/catalog/ooi/landungs@uw.edu/20180625T215711-RS03AXPS-SF03A-2A-CTDPFA302-streamed-ctdpf_sbe43_sample/catalog.html"
    )
